%define module_name XBRL-JPFR
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Accessor.pm) perl(Clone.pm) perl(Encode.pm) perl(Excel/Writer/XLSX.pm) perl(ExtUtils/MakeMaker.pm) perl(Hash/Merge.pm) perl(LWP/UserAgent.pm) perl(Math/NumberCruncher.pm) perl(Pod/Usage.pm) perl(Text/CSV.pm) perl(URI.pm) perl(XBRL.pm) perl(XML/LibXML.pm) perl(XML/LibXML/NodeList.pm) perl(XML/LibXML/XPathContext.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: Perl extension for reading XBRL instance documents which are disclosed at
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Y/YO/YONJOUHAN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
XBRL::JPFR provides an OO interface for reading XBRL instance documents which are disclosed at
Tokyo Stock Exchange(TSE,TDnet) and Japan Financial Service Agancy(FSA,EDINET).

XBRL::JPFR inherits XBRL.

=over 4

=item get_trees

_my $type = undef; # or 'def', 'pre', 'cal'
_my $uri = undef; # or uri
_my $trees = $xbrl_doc->get_trees($type, $uri)

Returns trees which represent definition, presentation and/or calculation hierarchies.

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.ja.txt README ChangeLog
%perl_vendor_privlib/X*

%changelog
* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- regenerated from template by package builder

* Sat Oct 28 2017 Igor Vlasenko <viy@altlinux.ru> 0.06-alt2
- updated summary

* Thu Oct 15 2015 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- regenerated from template by package builder

* Thu Apr 02 2015 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- regenerated from template by package builder

* Mon Feb 09 2015 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

